Get notification

View as MarkdownOpen in Claude

Retrieves a single notification or auto-generated report’s details.

Path parameters

nIdstringRequired
Notification ID.

Response

Success
contentobjectOptional
Notification content.
createdAtdatetimeOptional
Timestamp of when notification was created.
frequencyenumOptional
Frequency for notifications.
lastUpdateddatetimeOptional
Timestamp of when notification was last updated.
methodenumOptional
Method to use to send the notification to the target.
notificationIdlongOptional
The notification's Payabli identifier. This is the ID used to manage the notification.
ownerIdintegerOptional

ID for the paypoint or organization that owns the notification.

If the ownerType field is 0, this field is the same as the orgId for the organization that owns this notification.

If the ownerType field is 2, this field is the same as the paypointId for the paypoint that owns this notification.

ownerNamestringOptional
Name of entity owner of notification.
ownerTypeintegerOptional

Entity owner type. Accepted values:

  • 0: Organization/partner
  • 2: Paypoint
sourcestringOptional<=100 characters
Custom descriptor of source of notification.
statusintegerOptional

Status of notification:

  • 0: Inactive
  • 1: Active
targetstringOptional

Specify the notification target.

For method=email the expected value is a list of email addresses separated by semicolon.

For method=sms the expected value is a list of phone numbers separated by semicolon.

For method=web the expected value is a valid and complete URL. Webhooks support only standard HTTP ports: 80, 443, 8080, or 4443.

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error
503
Service Unavailable Error